summaryrefslogtreecommitdiff
path: root/dev-python/XenAPI
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
commitd97953e6ff67978da9554e7b4601aedceb21e215 (patch)
tree674053c902db6972b9716c9ac3b1e960ee7a5358 /dev-python/XenAPI
parent1d1fa5bb30df70070bbbbd2b777b839d31f09c41 (diff)
downloadbaldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.gz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.xz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.zip
Adding metadata
Diffstat (limited to 'dev-python/XenAPI')
-rw-r--r--dev-python/XenAPI/Manifest2
-rw-r--r--dev-python/XenAPI/XenAPI-2.14-r1.ebuild22
-rw-r--r--dev-python/XenAPI/XenAPI-22.14.0.ebuild83
-rw-r--r--dev-python/XenAPI/metadata.xml12
4 files changed, 119 insertions, 0 deletions
diff --git a/dev-python/XenAPI/Manifest b/dev-python/XenAPI/Manifest
new file mode 100644
index 000000000000..7f5dd3349572
--- /dev/null
+++ b/dev-python/XenAPI/Manifest
@@ -0,0 +1,2 @@
+DIST XenAPI-2.14.tar.gz 5110 BLAKE2B 0391ccfffe8c2a264360eef4057a666e92bcbc8b31e7848f15704fff4d554db9758b1aa0b5210d1bfc41c4df261096b04961a4ff6722a8ea25305971b70f8562 SHA512 a56245b617fa049bcc62ee78e85167e322b632e53d2a6bc3e042e1cb0541ea0004aee4b957f9190c30685cef935f236d980a224322ac593896abd7a31e36abd2
+DIST XenAPI-22.14.0.tar.gz 3124877 BLAKE2B 2b073e0f713b45b51af1e221aa278841c4a5515c72859c7c95601edeb32ec2b8415c11dec86f79a2ab88265d4303675cf9f0432091c884346a25630a503b5244 SHA512 cc048ede21748e6e60b9e432bb68e0754590e3846277c8bf1fa9000916897353db1b5b39bd7120e7d6c894fc859c8a34129824399cfca0a07c5edf937a6e18ec
diff --git a/dev-python/XenAPI/XenAPI-2.14-r1.ebuild b/dev-python/XenAPI/XenAPI-2.14-r1.ebuild
new file mode 100644
index 000000000000..b418b4c4619e
--- /dev/null
+++ b/dev-python/XenAPI/XenAPI-2.14-r1.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Xen API SDK, for communication with Citrix XenServer and Xen Cloud Platform"
+HOMEPAGE="
+ https://xenproject.org/developers/teams/xen-api/
+ https://github.com/xapi-project/xen-api
+ https://pypi.org/project/XenAPI/
+"
+SRC_URI="mirror://pypi/X/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/XenAPI/XenAPI-22.14.0.ebuild b/dev-python/XenAPI/XenAPI-22.14.0.ebuild
new file mode 100644
index 000000000000..5d53de7e14bf
--- /dev/null
+++ b/dev-python/XenAPI/XenAPI-22.14.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit bash-completion-r1 distutils-r1 dune pam systemd
+
+DESCRIPTION="Xen API SDK, for communication with Citrix XenServer and Xen Cloud Platform"
+HOMEPAGE="
+ https://xenproject.org/developers/teams/xen-api/
+ https://github.com/xapi-project/xen-api
+ https://pypi.org/project/XenAPI/
+"
+SRC_URI="https://github.com/xapi-project/xen-api/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/xen-api-${PV}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="ocamlopt pam python"
+
+RDEPEND="
+ python? ( ${PYTHON_DEPS} )
+
+ dev-libs/xxhash
+ dev-ml/cstruct
+ dev-ml/ezjsonm
+ dev-ml/ezxenstore
+ dev-ml/mtime
+ dev-ml/rpc
+ dev-ml/uuidm
+ dev-ml/xapi-backtrace
+ dev-ml/xapi-stdext
+ dev-ml/xcp-inventory
+ dev-ml/xcp-rrd
+ dev-ml/xen-gnt
+ dev-ml/xenctrl
+ dev-ml/xenstore
+ dev-ml/xenstore-clients
+ dev-ml/xmlm
+"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_compile() {
+ dune_src_compile
+ if use python; then
+ pushd scripts/examples/python || die
+ python_foreach_impl distutil-r1_python_compile
+ popd || die
+ fi
+}
+
+src_install() {
+ for p in *.opam ; do
+ dune_src_install "${p/.opam/}"
+ done
+
+ pushd scripts || die
+ emake install
+ popd || die
+
+ if use python; then
+ pushd scripts/examples/python || die
+ python_foreach_impl distutils-r1_python_install
+ popd || die
+ fi
+
+# newbashcomp scripts/xe-switch-network-backend-bash-completion xe-switch-network-backend
+#
+# insinto /etc/logrotate
+# newins scripts/audit-logrotate audit.conf
+#
+# for s in scripts/*.service ; do
+# systemd_dounit "${s}"
+# done
+#
+# use pam && newpamd scripts/pam.d-xapi xapi
+}
diff --git a/dev-python/XenAPI/metadata.xml b/dev-python/XenAPI/metadata.xml
new file mode 100644
index 000000000000..8f8712d853e8
--- /dev/null
+++ b/dev-python/XenAPI/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <description>co-maintainers welcome</description>
+ <email>lssndrbarbieri@gmail.com</email>
+ <name>Alessandro Barbieri</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">XenAPI</remote-id>
+ </upstream>
+</pkgmetadata>